Skip to main content
GET
/
api
/
aigateway
/
v1
/
endpoints
/
{endpointName}
Get a endpoint by name
curl --request GET \
  --url https://api.example.com/api/aigateway/v1/endpoints/{endpointName} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "creationDate": "2022-04-23T18:25:43.511Z",
  "endpointId": "62604702b7e5d347dbe7a909",
  "endpointName": "completions",
  "endpointType": "llm/v1/completions",
  "modelConfig": {},
  "modelName": "gpt-4",
  "modelProvider": "openai"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

endpointName
string
required

Name of the endpoint to get

Query Parameters

numInputTokens
string

Number of input tokens sent to the endpoint

Response

Success

creationDate
string<date-time>
required

ISO 8601 formatted time of when the Endpoint was created

Example:

"2022-04-23T18:25:43.511Z"

endpointId
string
required

ID of the endpoint

Example:

"62604702b7e5d347dbe7a909"

endpointName
string
required

Valid name of the endpoint

Example:

"completions"

endpointType
string
required

Type of the endpoint

Example:

"llm/v1/completions"

modelConfig
object
required

Configuration for the model

modelName
string
required

Name of the model

Example:

"gpt-4"

modelProvider
string
required

Provider of the model

Example:

"openai"